Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.util.lisp
Class LListCollector.LListCollectorListIterator

    java.lang.Object
      ix.util.lisp.LListIterator
          ix.util.lisp.LListListIterator
              ix.util.lisp.LListCollector.LListCollectorListIterator

All Implemented Interfaces:
  java.util.Iterator, java.util.ListIterator

Enclosing class:
  LListCollector

     class LListCollector.LListCollectorListIterator

extends LListListIterator

ListIterator for ListCollectors

Field Summary

Fields inherited from class ix.util.lisp.LListListIterator
`index, list, setPoint`

Fields inherited from class ix.util.lisp.LListIterator
`at`

Constructor Summary
`LListCollector.LListCollectorListIterator(int index)`

Method Summary
`void` | `add(java.lang.Object o)`
`void` | `remove()`
`void` | `set(java.lang.Object o)`

Methods inherited from class ix.util.lisp.LListListIterator
`hasNext, hasPrevious, next, nextIndex, previous, previousIndex, theCdrBefore`

Methods inherited from class ix.util.lisp.LListIterator
`getTail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LListCollector.LListCollectorListIterator

    public LListCollector.LListCollectorListIterator(int index)

Method Detail

### set

    public void set(java.lang.Object o)

  Specified by:
    `set` in interface `java.util.ListIterator`
  Overrides:
    `set` in class `LListListIterator`

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator`
  Specified by:
    `remove` in interface `java.util.ListIterator`
  Overrides:
    `remove` in class `LListListIterator`

### add

    public void add(java.lang.Object o)

  Specified by:
    `add` in interface `java.util.ListIterator`
  Overrides:
    `add` in class `LListListIterator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD